class Ns_SpawnPoint expands Mutator;

function ModifyPlayer(Pawn Other)
{
	local TournamentPlayer T;
	local CheckPoint C, C1;
	local bool bHasChecker;

	Super.ModifyPlayer(Other);

	foreach Other.ChildActors(class'CheckPoint',C)
	{
		bHasChecker = True;
		C1 = C;
		break;
	}
	if ( Other.Mesh != None && Other.bIsPlayer && Other.PlayerReplicationInfo != None )
	{
		if(!bHasChecker)
			C1 = Spawn( class'CheckPoint',Other,,Other.Location+vect(0,0,-35),Other.Rotation );
		else
		{
			if ( !C1.bDisabled && !C1.NearbyMonsters(C1)
			&& !C1.NearbyPlayers(C1) && ( C1.LastSpawnTime + 5 < Level.TimeSeconds ) )
			{
				if ( Other.SetLocation(C1.Location+vect(0,0,40)) )
				{
					Other.SetRotation(C1.Rotation);
					Level.Game.PlayTeleportEffect(Other, False, True);
					C1.LastSpawnTime = Level.TimeSeconds;
				}
				else
				{
					C1.LastSpawnTime = Level.TimeSeconds;
					C1.bDisabled = True;
				}
			}
			if ( Bot(Other) != None && !Other.bHidden && Bot(Other).MoveTarget != None )
			{
				Bot(Other).MoveTarget = None;
				Bot(Other).SpecialPause = 0.2;
				Other.GoToState('Roaming','PreBegin');
			}
		}
	}
}
